Bug 808157 - [abrt] speech-dispatcher-0.7.1-7.fc17: __GI_raise: Process /usr/lib64/speech-dispatcher-modules/sd_espeak was killed by signal 6 (SIGABRT)
[abrt] speech-dispatcher-0.7.1-7.fc17: __GI_raise: Process /usr/lib64/speech-...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: speech-dispatcher (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:7e609ea5ec07317d47a283ff4b9...
:
: 740039 759684 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 13:41 EDT by Joanmarie Diggs
Modified: 2013-08-01 04:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:18:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.61 KB, text/plain)
2012-03-29 13:41 EDT, Joanmarie Diggs
no flags Details
File: maps (19.88 KB, text/plain)
2012-03-29 13:41 EDT, Joanmarie Diggs
no flags Details

  None (edit)
Description Joanmarie Diggs 2012-03-29 13:41:29 EDT
libreport version: 2.0.10
abrt_version:   2.0.9
backtrace_rating: 4
cmdline:        '' /etc/speech-dispatcher/modules//espeak.conf
crash_function: __GI_raise
executable:     /usr/lib64/speech-dispatcher-modules/sd_espeak
kernel:         3.3.0-1.fc17.x86_64
pid:            7190
pwd:            /home/jd/orca
remote_result:  759684
time:           Wed 28 Mar 2012 12:34:21 PM EDT
uid:            1000
username:       jd

backtrace:      Text file, 11886 bytes
maps:           Text file, 20358 bytes

build_ids:
:a4d8e19a7ee6d8871ea563c9fec220bef2f89cc3
:e9510ea5a101b687231a5f0a6be5cbb425c6b841
:e789f001d792823f657f39b4f9a2ef4935271c64
:73d0aa1681b513d1459b8d6e6eac95cc131868bb
:75f6c09b7018cb9f253910ab77fa591e4c7123a5
:8f1ba572f27dfd702830fb5690824afb32c5f89f
:8a58512c2cc89530f70932553442289158de3083
:88b064556c965cf2c0e8cc5e857cb92ccf3ad6ea
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:e91010b497ec024178c36f4365b21f668bada0ca
:6947e315f0765bf884ecc222d91945a1e2ed8767
:c33078ce2af3b19c35d4e80fe94be13287ebbaf8
:4241f3934ffa291c039e664003e54a913ed45e08
:edad49230923d07f38eaae337455a0d56f535f11
:005464563090f9648c12bfa2c9b2f8dcb72313e8
:35873a5c01548849d307db8f8ee296d7d58fb7fb
:aa3e4fd867af17ab39ce674f750c785bf81d577c
:7b2764ec751ee57e9ba0827d2b16039549841179
:92a4af5e74d0085fafe46916e053873ef13fc345
:b6ab62fc2eed97f45c93df0b5da9974a715a3504
:2c09a3f87a92231b0acabb79968d235d61c36967
:3dd28f8a8b722d6f4d332bc688cc6b8a93f1cf16
:54a4a5cb60ac6c40e2759249ff91e8825415c585
:0339e448510e66ad611e6f5df08565db4fe4bc23
:8b96c12efd9ee8fe492095f9c0ed62f55561ac68
:9af33edde528c64869abfcce919051d5b15848d9
:1dbad667ccf4b57aca057808b8a4a0871960b54f
:a095f564bf20c90a6e26a32fe83d4d04c5eadbcb
:1309cbb736c7f597bc49f83e638fde856bfc0e11
:d804f8ee47797da9213a92f00cd095ecada8d79f
:72df9d931a9960fc146efbcf9989abf5a42fbcd5
:14e8f7d39bb684e00c591625ee64905ceb4ab8c9
:6ab431f94a2d4b59345a333f12acd8152f48c05e
:54a5cc118d928470da13565de8592b664a9868e0
:4194f49481485f98de7853b6407338a4393171ac
:1d4df97fa6024b097b634a272447243c95c26d85
:247132297f287226a24c12e683292f5c94013066
:40dd329a4e93f5734be515617d6a41f7455fe5d4
:f9cf1e44a2f97bfa171687e20b003e919fcdba8a
:f03b79397ed9c0851f0541cd15e309cfbd944dad
:af945724af42823d8f3ee175768dcb912e3c25a0

comment:
:Steps to reproduce:
:
:0. log in
:
:1. ps -elf | grep speech
:    results: speech-dispatcher is not running
: 
:2. spd-say hello
:    results: speech-dispatcher speaks 'hello'
:
:3. log out, log back in
:
:4.  ps -elf | grep speech
:     results: speech-dispatcher IS running
: 
:5. spd-say hello
:    results: speech-dispatcher does not speak 'hello'; sd_espeak dies
:
:Notes: While I cannot repro this 100% of the time, I can do so at least, say, 85% of the time. It is also a recentish problem. I never saw it in F16. 

core_backtrace:
:14e8f7d39bb684e00c591625ee64905ceb4ab8c9 0x35915 __GI_raise libc.so.6 -
:14e8f7d39bb684e00c591625ee64905ceb4ab8c9 0x370c8 __GI_abort libc.so.6 -
:aa3e4fd867af17ab39ce674f750c785bf81d577c 0x1fc1 pa_simple_write libpulse-simple.so.0 -
:88b064556c965cf2c0e8cc5e857cb92ccf3ad6ea 0x2e99 pulse_play libsdaudio.so.2 -
:4241f3934ffa291c039e664003e54a913ed45e08 0x51a8 - [exe] -
:9af33edde528c64869abfcce919051d5b15848d9 0x7d14 start_thread libpthread.so.0 -
:14e8f7d39bb684e00c591625ee64905ceb4ab8c9 0xf18fd clone libc.so.6 -

dso_list:
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.8-2.fc17.x86_64 (Fedora Project) 1329853937
:/usr/lib64/libgcc_s-4.7.0-20120322.so.1 libgcc-4.7.0-1.fc17.x86_64 (Fedora Project) 1332779714
:/usr/lib64/libnsl-2.15.so glibc-2.15-28.fc17.x86_64 (Fedora Project) 1332779746
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-4.fc17.x86_64 (Fedora Project) 1329853935
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.1-1.fc17.x86_64 (Fedora Project) 1332779771
:/usr/lib64/libm-2.15.so glibc-2.15-28.fc17.x86_64 (Fedora Project) 1332779746
:/usr/lib64/gconv/gconv-modules.cache glibc-2.15-28.fc17.x86_64 (Fedora Project) 1332779746
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.99.1-3.fc17.x86_64 (Fedora Project) 1329853999
:/usr/lib64/libFLAC.so.8.2.0 flac-1.2.1-9.fc17.x86_64 (Fedora Project) 1329853936
:/usr/lib64/libuuid.so.1.3.0 libuuid-2.21-2.fc17.x86_64 (Fedora Project) 1332779769
:/usr/lib64/libdl-2.15.so glibc-2.15-28.fc17.x86_64 (Fedora Project) 1332779746
:/usr/lib64/libpthread-2.15.so glibc-2.15-28.fc17.x86_64 (Fedora Project) 1332779746
:/usr/lib64/libc-2.15.so glibc-2.15-28.fc17.x86_64 (Fedora Project) 1332779746
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.8-1.fc17.x86_64 (Fedora Project) 1332779771
:/usr/lib64/libglib-2.0.so.0.3122.0 glib2-2.31.22-1.fc17.x86_64 (Fedora Project) 1332779749
:/usr/lib64/libgthread-2.0.so.0.3122.0 glib2-2.31.22-1.fc17.x86_64 (Fedora Project) 1332779749
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-3.fc17.x86_64 (Fedora Project) 1329853937
:/usr/lib64/libXext.so.6.4.0 libXext-1.3.1-1.fc17.x86_64 (Fedora Project) 1332779760
:/usr/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-4.fc17.x86_64 (Fedora Project) 1329853935
:/usr/lib64/libstdc++.so.6.0.17 libstdc++-4.7.0-1.fc17.x86_64 (Fedora Project) 1332779752
:/usr/lib/locale/locale-archive glibc-common-2.15-28.fc17.x86_64 (Fedora Project) 1332779739
:/usr/lib64/librt-2.15.so glibc-2.15-28.fc17.x86_64 (Fedora Project) 1332779746
:/usr/lib64/libresolv-2.15.so glibc-2.15-28.fc17.x86_64 (Fedora Project) 1332779746
:/usr/lib64/ld-2.15.so glibc-2.15-28.fc17.x86_64 (Fedora Project) 1332779746
:/usr/lib64/libXi.so.6.1.0 libXi-1.5.99.2-4.20111222gitae0187c87.fc17.x86_64 (Fedora Project) 1329853999

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=35
:HOSTNAME=blockhead
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=4587
:GPG_AGENT_INFO=/home/jd/.cache/keyring-1B9sMO/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:KONSOLE_DBUS_SERVICE=:1.106
:GJS_DEBUG_OUTPUT=stderr
:G_MESSAGES_DEBUG=all
:WINDOWID=44040249
:SYSFONT=True
:GNOME_KEYRING_CONTROL=/home/jd/.cache/keyring-1B9sMO
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:SHELL_SESSION_ID=5c75f2f77f85400096aa5ce45247b7ba
:IMSETTINGS_MODULE=none
:USER=jd
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/home/jd/.cache/keyring-1B9sMO/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/3962,unix/unix:/tmp/.ICE-unix/3962
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/kde4/konsole.desktop
:PATH=/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/jd/.local/bin:/home/jd/bin:/home/jd/.local/bin:/home/jd/.local/bin:/usr/bin:/usr/sbin:/bin
:MAIL=/var/spool/mail/jd
:DESKTOP_SESSION=GNOME
:QT_IM_MODULE=xim
:PWD=/home/jd/orca
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=3959
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/2
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:KEYTABLE=us
:HISTCONTROL=ignoredups
:SHLVL=3
:XDG_SEAT=seat0
:COLORFGBG=15;0
:HOME=/home/jd
:LANGUAGE=
:BOOT_IMAGE=/vmlinuz-3.3.0-1.fc17.x86_64
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:PYTHONPATH=:/usr/lib64/python2.7/site-packages
:LOGNAME=jd
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-ebmRMRTPsV,guid=837c1a9e65a4756f717289e600015367
:PREFERRED=/usr/bin/startlxde
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/jd
:PROFILEHOME=
:XAUTHORITY=/home/jd/.Xauthority
:_=/bin/python

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63225                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63225                63225                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[14002206]
:pos:	0
:flags:	00
:1:pipe:[14002207]
:pos:	0
:flags:	01
:2:/home/jd/.speech-dispatcher/log/espeak.log
:pos:	82
:flags:	0100001
:3:socket:[14003233]
:pos:	0
:flags:	02
:4:/home/jd/.speech-dispatcher/pid/speech-dispatcher.pid (deleted)
:pos:	5
:flags:	0100001
:5:pipe:[14002203]
:pos:	0
:flags:	00
:6:pipe:[14002203]
:pos:	0
:flags:	01
:7:/etc/speech-dispatcher/speechd.conf
:pos:	9669
:flags:	0100000
:8:/home/jd/.speech-dispatcher/log/speechd.log
:pos:	43663
:flags:	0102001
:9:pipe:[14003205]
:pos:	0
:flags:	04000
:10:pipe:[14003205]
:pos:	0
:flags:	04001

var_log_messages:
:Mar 27 21:06:34 blockhead abrt[23640]: Saved core dump of pid 21859 (/usr/lib64/speech-dispatcher-modules/sd_espeak) to /var/spool/abrt/ccpp-2012-03-27-21:06:34-21859 (36392960 bytes)
:Mar 28 07:53:24 blockhead abrt[6944]: Saved core dump of pid 28772 (/usr/lib64/speech-dispatcher-modules/sd_espeak) to /var/spool/abrt/ccpp-2012-03-28-07:53:23-28772 (36499456 bytes)
:Mar 28 12:34:21 blockhead abrt[15539]: File '/usr/lib64/speech-dispatcher-modules/sd_espeak' seems to be deleted
:Mar 28 12:34:21 blockhead abrt[15539]: Saved core dump of pid 7190 (/usr/lib64/speech-dispatcher-modules/sd_espeak) to /var/spool/abrt/ccpp-2012-03-28-12:34:21-7190 (36487168 bytes)
Comment 1 Joanmarie Diggs 2012-03-29 13:41:32 EDT
Created attachment 573753 [details]
File: backtrace
Comment 2 Joanmarie Diggs 2012-03-29 13:41:34 EDT
Created attachment 573754 [details]
File: maps
Comment 3 abrt-bot 2012-03-30 11:06:04 EDT
*** Bug 740039 has been marked as a duplicate of this bug. ***
Comment 4 abrt-bot 2012-03-30 11:06:17 EDT
*** Bug 759684 has been marked as a duplicate of this bug. ***
Comment 5 Joanmarie Diggs 2012-04-06 15:16:41 EDT
Upstream bug: https://its.freebsoft.org/its/issues/6773
Comment 6 Florin Branduse 2013-01-07 16:15:16 EST
I restart gdm after gnome invite me to relog system restrict some error .

I do not know what caused this problem ! 


backtrace_rating: 4
Package: speech-dispatcher-0.7.1-8.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 7 Fedora End Of Life 2013-07-03 22:24:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 04:18:56 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.